FROM php:7.4.33-fpm-bullseye

RUN apt-get update && \
    apt-get install -y \
        libfreetype6-dev \
        libjpeg62-turbo-dev \
        libmcrypt-dev \
        libncurses5-dev \
        libicu-dev \
        libmemcached-dev \
        libcurl4-openssl-dev \
        libpng-dev \
        libgmp-dev \
        libxml2-dev \
        libzip-dev \
        curl \
        zlib1g-dev \
        ssmtp

RUN apt-get install -y \
        antiword \
        poppler-utils \
        html2text \
        unrtf

RUN rm -rf /var/lib/apt/lists/*

RUN ln -s /usr/include/x86_64-linux-gnu/gmp.h /usr/include/gmp.h

RUN docker-php-ext-configure mysqli --with-mysqli=mysqlnd
RUN docker-php-ext-install mysqli
RUN docker-php-ext-install intl
RUN docker-php-ext-configure gd --with-freetype --with-jpeg
RUN docker-php-ext-install gd
RUN docker-php-ext-install gmp
RUN docker-php-ext-install zip


